apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: backend-label
  template:
    metadata:
      labels:
        app: backend-label
    spec:
      nodeSelector:
        special: front_backend
      containers:
      - name: backend
        image: docker.io/stava/kubernetes-training:backend
        env:
        # - name: DOCKERHUB_USERNAME
        #   valueFrom:
        #     secretKeyRef:
        #       name: dockerhub-credentials
        #       key: dockerhub_username
        # - name: DOCKERHUB_PASSWORD
        #   valueFrom:
        #     secretKeyRef:
        #       name: dockerhub-credentials
        #       key: dockerhub_password
        - name: REQUEST_ORIGIN
          value: "http://192.168.56.117:5000"
        ports:
        - containerPort: 8080
      imagePullSecrets:
       - name: dockerhub-credentials